Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.queryframework
Class SQLCall

`java.lang.Object
DatabaseCall
oracle.toplink.queryframework.SQLCall`

public class SQLCall
extends DatabaseCall

Purpose: Used as an abstraction of an SQL call. A call is an SQL string with parameters.

See Also:
  Serialized Form

Constructor Summary
`SQLCall()` PUBLIC: Create a new SQL call.
`SQLCall(java.lang.String sqlString)` PUBLIC: Create a new SQL call.

Method Summary
`boolean` | `isQueryStringCall()`
`boolean` | `isSQLCall()`
`void` | `setCustomSQLArgumentType(java.lang.String customParameterName, java.lang.Class type)` PUBLIC: This method should only be used with custom SQL: it sets a type to OUT or INOUT parameter (prefixed with ### or #### in custom SQL string).
`void` | `setSQLString(java.lang.String sqlString)` Set the SQL string.
`void` | `useCustomSQLCursorOutputAsResultSet(java.lang.String customParameterName)` PUBLIC: This method should only be used with custom SQL: Used for Oracle result sets through procedures.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLCall

    public SQLCall()

  PUBLIC: Create a new SQL call.

### SQLCall

    public SQLCall(java.lang.String sqlString)

  PUBLIC: Create a new SQL call. Warning: Allowing an unverified SQL string to be passed into this method makes your application vulnerable to SQL injection attacks.

Method Detail

### isSQLCall

    public boolean isSQLCall()

### isQueryStringCall

    public boolean isQueryStringCall()

### setCustomSQLArgumentType

    public void setCustomSQLArgumentType(java.lang.String customParameterName,
                                         java.lang.Class type)

  PUBLIC: This method should only be used with custom SQL: it sets a type to OUT or INOUT parameter (prefixed with ### or #### in custom SQL string).

### setSQLString

    public void setSQLString(java.lang.String sqlString)

  Set the SQL string. Warning: Allowing an unverified SQL string to be passed into this method makes your application vulnerable to SQL injection attacks.

### useCustomSQLCursorOutputAsResultSet

    public void useCustomSQLCursorOutputAsResultSet(java.lang.String customParameterName)

  PUBLIC: This method should only be used with custom SQL: Used for Oracle result sets through procedures. It defines OUT parameter (prefixed with ### in custom SQL string) as a cursor output.

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD